Subject: Ticket Assigned - Promo code issue
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 03 Jul 2021 16:24:01 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promo code issue Dear Centerpoint support representative,

I would like to report an issue that I have been experiencing lately. I'm seeking clarification and I hope that it'd get resolved soon.
I have been trying to use promo codes on multiple occasions, but whatever code I put shows expired, but in fact, it's not expired. here is an example, in the screenshot below it says that the voucher is valid until 10-07-2021, but every time I try to use it, it says expired. I have faced this issue not just with this one, but also using influencers' codes which are supposed to be working as well yet it still says expired.

Looking forward to hearing back from you.

Best Regards,
Maya

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2792072